> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a test document through an index stage



## OpenAPI

````yaml /api-reference/4.2/service-index-stages.json post /index-stages/instances/{id}/{collection}/test
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service index-stages
servers:
  - url: /api/apollo/
security: []
tags:
  - name: index-stages
paths:
  /index-stages/instances/{id}/{collection}/test:
    post:
      tags:
        - 4.2 Index Stages API
      summary: Send a test document through an index stage
      operationId: testStage
      parameters:
        - name: id
          in: path
          description: The index stage ID
          required: true
          schema:
            type: string
        - name: collection
          in: path
          description: The name of the collection
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/vnd.lucidworks-document:
            schema: {}
          application/json:
            schema: {}
          application/*:
            schema: {}
          text/*:
            schema: {}
        description: >-
          The document to test, as a PipelineDocument or in JSON, Solr XML, or
          another format
      responses:
        '200':
          description: successful operation

````